Index: rtemstoolkit/config.py
===================================================================
--- rtemstoolkit/config.py	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ rtemstoolkit/config.py	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -41,4 +41,10 @@
 import re
 import sys
+
+import error
+import execute
+import log
+import options
+import path
 
 try:
Index: rtemstoolkit/execute.py
===================================================================
--- rtemstoolkit/execute.py	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ rtemstoolkit/execute.py	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -42,6 +42,6 @@
 import time
 
-from . import error
-from . import log
+import error
+import log
 
 # Trace exceptions
Index: rtemstoolkit/git.py
===================================================================
--- rtemstoolkit/git.py	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ rtemstoolkit/git.py	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -32,9 +32,9 @@
 import os
 
-from . import error
-from . import execute
-from . import log
-from . import options
-from . import path
+import error
+import execute
+import log
+import options
+import path
 
 class repo:
Index: rtemstoolkit/log.py
===================================================================
--- rtemstoolkit/log.py	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ rtemstoolkit/log.py	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -37,5 +37,5 @@
 import threading
 
-from . import error
+import error
 
 #
Index: rtemstoolkit/macros.py
===================================================================
--- rtemstoolkit/macros.py	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ rtemstoolkit/macros.py	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -39,6 +39,6 @@
 import string
 
-from . import error
-from . import path
+import error
+import path
 
 #
Index: rtemstoolkit/path.py
===================================================================
--- rtemstoolkit/path.py	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ rtemstoolkit/path.py	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -40,6 +40,6 @@
 import string
 
-from . import error
-from . import log
+import error
+import log
 
 windows = os.name == 'nt'
Index: rtemstoolkit/version.py
===================================================================
--- rtemstoolkit/version.py	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ rtemstoolkit/version.py	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -36,6 +36,6 @@
 import sys
 
-from . import error
-from . import path
+import error
+import path
 
 #
@@ -68,4 +68,5 @@
 
 def _load_git_version():
+    import git
     global _git
     global _version_str
Index: rtemstoolkit/wscript
===================================================================
--- rtemstoolkit/wscript	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ rtemstoolkit/wscript	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -52,11 +52,8 @@
     conf.find_program('m4')
 
-    conf.check(header_name='sys/wait.h',  features = 'c', mandatory = False)
-    conf.check_cc(function_name='kill', header_name="signal.h",
+    conf.check(header_name = 'sys/wait.h',  features = 'c', mandatory = False)
+    conf.check_cc(function_name = 'kill', header_name="signal.h",
                   features = 'c', mandatory = False)
     conf.write_config_header('config.h')
-
-    conf.load('python')
-    conf.check_python_version((2,6,6))
 
 def build(bld):
Index: tester/rtems-test
===================================================================
--- tester/rtems-test	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ tester/rtems-test	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -36,4 +36,7 @@
 sys.path = [parent, rtems, os.path.join(rtems, 'tester')] + sys.path
 
+import rt.test
+rt.test.run()
+
 try:
     import rt.test
Index: tester/wscript
===================================================================
--- tester/wscript	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ tester/wscript	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -1,5 +1,5 @@
 #
 # RTEMS Tools Project (http://www.rtems.org/)
-# Copyright 2015 Chris Johns (chrisj@rtems.org)
+# Copyright 2013-2016 Chris Johns (chrisj@rtems.org)
 # All rights reserved.
 #
@@ -41,6 +41,4 @@
 def configure(conf):
     recurse(conf)
-    conf.load('python')
-    conf.check_python_version((2,6,6))
 
 def build(bld):
@@ -62,5 +60,5 @@
                   'rt/version.py'],
         install_from = '.',
-        install_path = '${PREFIX}/share/rtems')
+        install_path = '${PREFIX}/share/rtems/tester')
     bld(features = 'py',
         source = ['rt/pygdb/__init__.py',
@@ -68,5 +66,5 @@
                   'rt/pygdb/spark.py'],
         install_from = '.',
-        install_path = '${PREFIX}/share/rtems')
+        install_path = '${PREFIX}/share/rtems/tester')
     bld.install_files('${PREFIX}/bin', ['rtems-test'], chmod = 0o755)
 
Index: tools/gdb/python/wscript
===================================================================
--- tools/gdb/python/wscript	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ tools/gdb/python/wscript	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -7,6 +7,5 @@
 
 def configure(conf):
-    conf.load('python')
-    conf.check_python_version((2,6,6))
+    pass
 
 def build(bld):
@@ -30,3 +29,4 @@
     bld(features = 'py',
         source = source,
+        install_from = '.',
         install_path = '${PREFIX}/share/gdb/python/rtems')
Index: wscript
===================================================================
--- wscript	(revision 4351ae5eff514ec9bcd9b6d2faae6bbb4fce9202)
+++ wscript	(revision de1beea245bd18cb9eadfb7dbaea6572269a97cd)
@@ -101,4 +101,14 @@
     ctx.env.C_OPTS = ctx.options.c_opts.split(',')
     check_options(ctx, ctx.options.host)
+    #
+    # Common Python check.
+    #
+    ctx.load('python')
+    ctx.check_python_version((2,6,6))
+    #
+    # Installing the PYO,PYC seems broken on 1.8.19. The path is wrong.
+    #
+    ctx.env.PYO = 0
+    ctx.env.PYC = 0
     recurse(ctx)
 
